## python-pycrowdsec 0.0.4

=== debian/changelog ===
python-pycrowdsec (0.0.4-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Michael Fladischer <fladi@debian.org>  Mon, 03 Jul 2023 13:16:15 +0000

python-pycrowdsec (0.0.4-1) unstable; urgency=low

  * Initial release (Closes: #1031856).

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 Feb 2023 21:59:42 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pycrowdsec
export PYBUILD_TEST_ARGS=--ignore=tests/test_redis_integration.py

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pycrowdsec 0.0.5

=== examples/django_example/requirements.txt ===
django
pycrowdsec

=== examples/flask_example/requirements.txt ===
flask
pycrowdsec
requests
expiringdict

=== debian/changelog ===
python-pycrowdsec (0.0.5-1) unstable; urgency=medium

  * New upstream version 0.0.5
  * Ignore test_mtls.py as the required fixture package pytest-cs has not been
    packaged yet.

 -- Michael Fladischer <fladi@debian.org>  Mon, 25 Sep 2023 12:05:43 +0000

=== debian/control ===
Source: python-pycrowdsec
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.2
Homepage: https://github.com/crowdsecurity/pycrowdsec
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pycrowdsec
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pycrowdsec.git
Rules-Requires-Root: no

Package: python3-pycrowdsec
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: integration of CrowdSec with Python projects (Python3 version)
 CrowdSec is a FOSS tool which parses logs and detects attacks. PyCrowdSec
 enables integration of CrowdSec with Python projects. It is easy to setup and
 boosts the security by leveraging CrowdSec's attack detection capabilities.
 .
 PyCrowdSec contains a Python client library for CrowdSec, as well as
 middlewares for django and flask integrations.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pycrowdsec
export PYBUILD_TEST_ARGS=--ignore=tests/test_redis_integration.py --ignore=tests/test_mtls.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-pycrowdsec-$1.tar.gz/ \
https://github.com/crowdsecurity/pycrowdsec/tags \
/crowdsecurity/pycrowdsec/archive/refs/tags/v([\d\.]+)\.tar\.gz
